package ru.myitschool.work.domain.entities;

import androidx.annotation.Nullable;

import com.google.gson.annotations.SerializedName;

public class UserEntity {
    @Nullable
    @SerializedName("username")
    public String username;


    @Nullable
    @SerializedName("photo")
    public String photo;

    @Nullable
    @SerializedName("lastVisit")
    public Long lastVisit;

    @Nullable
    @SerializedName("idUser")
    public Integer idUser;


    @Nullable
    @SerializedName("position")
    public String position;

    public UserEntity(@Nullable String username, @Nullable String photo, @Nullable Long lastVisit, @Nullable Integer idUser, @Nullable String position) {
        this.username = username;
        this.photo = photo;
        this.lastVisit = lastVisit;
        this.idUser = idUser;
        this.position = position;
    }

    @Nullable
    public String getPosition() {
        return position;
    }

    public void setPosition(@Nullable String position) {
        this.position = position;
    }

    @Nullable
    public String getUsername() {
        return username;
    }

    public void setUsername(@Nullable String username) {
        this.username = username;
    }

    @Nullable
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(@Nullable String photo) {
        this.photo = photo;
    }

    @Nullable
    public Long getLastVisit() {
        return lastVisit;
    }

    public void setLastVisit(@Nullable Long lastVisit) {
        this.lastVisit = lastVisit;
    }

    @Nullable
    public Integer getIdUser() {
        return idUser;
    }

    public void setIdUser(@Nullable Integer idUser) {
        this.idUser = idUser;
    }



}
